<?php


add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){

//Theme Shortname
$orta = "orta";
$ymenu = "ymenu";
$galeri = "galeri";
$kate = "kate";


//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
$tt_pages[$tt_page->ID] = $tt_page->post_name; }
$tt_pages_tmp = array_unshift($tt_pages, "Sayfa Seçin:"); 


//Access the WordPress Categories via an Array
$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;}
$categories_tmp = array_unshift($tt_categories, "Kategori Seçin:");


//Sample Array for demo purposes
$sample_array = array("1","2","3","4","5");


//Sample Advanced Array - The actual value differs from what the user sees
$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/cufon/';






/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall




/* Option Page 1 - All Options */			
			
$options[] = array( "name" => __('Site Genel Ayarları','framework_localize'),
			"type" => "heading");	

			$options[] = array( "name" => __('Site Logosu','framework_localize'),
			"desc" => __('Site Logonuzu Seçip Yükleyiniz...<br/>Maksimum boyut 350px/92px olmalıdır.','framework_localize'),
			"id" => "logoUrl",
			"std" => "",
			"type" => "upload");

			$options[] = array( "name" => __('Footer Logosu','framework_localize'),
			"desc" => __('Site Logonuzu Seçip Yükleyiniz...<br/>Maksimum boyut 150px/39px olmalıdır.<br/>BEYAZ RENK ÖNERİLİR!','framework_localize'),
			"id" => "logoUrl2",
			"std" => "",
			"type" => "upload");

			$options[] = array( "name" => __('Favicon','framework_localize'),
			"desc" => __('Site Faviconunu Seçip Yükleyiniz...','framework_localize'),
			"id" => "logoUrl3",
			"std" => "",
			"type" => "upload");
		
			$options[] = array( "name" => __('Google Analytics','framework_localize'),
			"desc" => __('Footera eklenen bu kod sayesinde google üzerinden sitenizin istatistiğini takip edebilirsiniz.','framework_localize'),
			"id" => "googleAnalitik",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Copyright Yazısı','framework_localize'),
			"desc" => __('Footerda yer alan ve siteniz için kısa açıklama girebileceğiniz alan.','framework_localize'),
			"id" => "footerCopyright",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Copyright Yazısı 2','framework_localize'),
			"desc" => __('Footerda yer alan ve siteniz için kısa açıklamanın hemen altında yer almaktadır.','framework_localize'),
			"id" => "footerCopyright2",
			"std" => "",
			"type" => "textarea");
			
$options[] = array( "name" => __('Tema Genel Ayarları','framework_localize'),
			"type" => "heading");	

			$options[] = array( "name" => __('Sitenin Renk Ayarı','framework_localize'),
			"desc" => __('Sitenin arka plan rengini buradan değiştirebilirsiniz. Eğer orjinal background kalmasını istiyorsanız BOŞ BIRAKIN','framework_localize'),
			"id" => "siteRengi",
			"std" => "",
			"type" => "color");	
			
			$options[] = array( "name" => __('Büyük Slider<br/>Kullanılsın mı?','framework_localize'),
			"desc" => __('Büyük slider alanını kullanmak istiyorsanız işaretleyin.','framework_localize'),
			"id" => "bSlider",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Küçük Slider<br/>Kullanılsın mı?','framework_localize'),
			"desc" => __('Küçük slider alanı filmlerin 5li listelendiği ve sola doğru tek tek kaydığı alandır.','framework_localize'),
			"id" => "kSlider",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Film Arama Robotu<br/>Kullanılsın mı?','framework_localize'),
			"desc" => __('Film arama robotu sitenizin orta alanında bulunan ve ziyaretçilerinizin daha hızlı film bulmasına yarayan filtreleme sistemidir.','framework_localize'),
			"id" => "aramaRobotu",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Yan Menü Son Yorumlar<br/>Kullanılsın mı?','framework_localize'),
			"desc" => __('Yan menüde yer alan ve sitenizde yapılan son yorumların listeleneceği alan.','framework_localize'),
			"id" => "sagSonyorum",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Yan Menü Popüler Filmler<br/>Kullanılsın mı?','framework_localize'),
			"desc" => __('Yan menüde yer alan ve sitenizdeki popüler filmlerin listeleneceği alan.','framework_localize'),
			"id" => "sagPopulerfilm",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Yan Menü Facebook<br/>Kullanılsın mı?','framework_localize'),
			"desc" => __('Yan menüde yer alan ve facebook sayfanızı gösterebileceğiniz alan.<br/><font style="color: #d50000; font-size: 12px;">(Facebook üzerinden kullanıcı profil fotoğraflarını çektiği için, sitenizin hızını olumsuz yönde etkileyebilir.)</font>','framework_localize'),
			"id" => "facebookGoster",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('E-Bülten Gösterilsin mi?','framework_localize'),
			"desc" => __('Sitenin en altında yer alan ve kişilerin mail adreslerini kayıt altına alabileceğiniz alan.','framework_localize'),
			"id" => "eBultenGoster",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Site Altı 5li Butonlar Gösterilsin mi?','framework_localize'),
			"desc" => __('Sitenin en altında yer alan e-bültenin hemen üzerindeki 5 butonun olduğu alan.<br/><font style="color: #d50000; font-size: 12px;">(Bu alan header menü ile aynı içeriği listeler.)</font>','framework_localize'),
			"id" => "5linkGoster",
			"std" => "",
			"type" => "checkbox");
				
$options[] = array( "name" => __('Site Reklam Alanı Ayarları','framework_localize'),	"type" => "heading");

			$options[] = array( "name" => __('Site Sol<br/>Reklam Alanı 1','framework_localize'),
			"desc" => __('Sitenin sol bloğunda yer alan 1. reklam alanı','framework_localize'),
			"id" => "solReklam1",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Site Sol<br/>Reklam Alanı 2','framework_localize'),
			"desc" => __('Sitenin sol bloğunda yer alan 2. reklam alanı','framework_localize'),
			"id" => "solReklam2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Site Sol<br/>Reklam Alanı 3','framework_localize'),
			"desc" => __('Sitenin sol bloğunda yer alan 3. reklam alanı','framework_localize'),
			"id" => "solReklam3",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Site Sağ<br/>Reklam Alanı 1','framework_localize'),
			"desc" => __('Sitenin sağ bloğunda yer alan 1. reklam alanı','framework_localize'),
			"id" => "sagReklam1",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Site Sağ<br/>Reklam Alanı 2','framework_localize'),
			"desc" => __('Sitenin sağ bloğunda yer alan 2. reklam alanı','framework_localize'),
			"id" => "sagReklam2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Site Sağ<br/>Reklam Alanı 3','framework_localize'),
			"desc" => __('Sitenin sağ bloğunda yer alan 3. reklam alanı','framework_localize'),
			"id" => "sagReklam3",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Video Yanı<br/>Reklam Alanı','framework_localize'),
			"desc" => __('Video yanında yer alan reklam alanı','framework_localize'),
			"id" => "videoYani",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Kule Reklam Alanı<br/>Sol Kısım','framework_localize'),
			"desc" => __('Sitenin Sol tarafında kule reklam alanı<br/><font style="color: #d50000; font-size: 12px;">(1367px ekran çözünürlüğünün altında olan monitörlerde gizlenmiştir.)</font>','framework_localize'),
			"id" => "kayanReklamSol",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Kule Reklam Alanı<br/>Sağ Kısım','framework_localize'),
			"desc" => __('Sitenin Sol tarafında kule reklam alanı<br/><font style="color: #d50000; font-size: 12px;">(1367px ekran çözünürlüğünün altında olan monitörlerde gizlenmiştir.)</font>','framework_localize'),
			"id" => "kayanReklamSag",
			"std" => "",
			"type" => "textarea");

		
$options[] = array( "name" => __('Mobil Tema Ayarları','framework_localize'),	"type" => "heading");

			$options[] = array( "name" => __('Mobil Tema Manşet','framework_localize'),
			"desc" => __('Mobil Temada Kullanmak İstediğiniz Manşeti Seçiniz.','framework_localize'),
			"id" => "mmanset",
			"std" => "",
			"type" => "select",
			"options" => array(
				'gorsel1' => 'MANSET1',
				'gorsel2' => 'MANSET2',
				));

			$options[] = array( "name" => __('İçerik Listelenme Şekli Seçiniz','framework_localize'),
			"desc" => __('İçerik Listelenme Şekli seçiniz.','framework_localize'),
			"id" => "gorunum",
			"std" => "",
			"type" => "select",
			"options" => array(
			'gorsel1' => 'GORUNUM1',
			'gorsel2' => 'GORUNUM2',
			));

			$options[] = array( "name" => __('Mobil Tema<br/>Reklam Alanı 1','framework_localize'),
			"desc" => __('Mobil tema reklam alanı 1','framework_localize'),
			"id" => "mobilReklam1",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Mobil Tema<br/>Reklam Alanı 2','framework_localize'),
			"desc" => __('Mobil tema reklam alanı 2','framework_localize'),
			"id" => "mobilReklam2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Mobil Tema<br/>Reklam Alanı 3','framework_localize'),
			"desc" => __('Mobil tema reklam alanı 3','framework_localize'),
			"id" => "mobilReklam3",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Mobil Tema<br/>Reklam Alanı 4','framework_localize'),
			"desc" => __('Mobil tema reklam alanı 4 ( İZLEME SAYFASI )','framework_localize'),
			"id" => "mobilReklam4",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Mobil Tema<br/>Reklam Alanı 5','framework_localize'),
			"desc" => __('Mobil tema reklam alanı 5 ( İZLEME SAYFASI )','framework_localize'),
			"id" => "mobilReklam5",
			"std" => "",
			"type" => "textarea");
		
$options[] = array( "name" => __('Sosyal Ağ Ayarları','framework_localize'),	"type" => "heading");

			$options[] = array( "name" => __('Facebook Sayfa Adresi','framework_localize'),
			"desc" => __('Facebook sayfa adresinizi yazın<br/>Örnek : https://www.facebook.com/sayfaAdiniz','framework_localize'),
			"id" => "facebook",
			"std" => "",
			"type" => "text");

			$options[] = array( "name" => __('Twitter Adresi','framework_localize'),
			"desc" => __('Twitter sayfa adresinizi yazın<br/>Örnek: https://twitter.com/twitterAdiniz','framework_localize'),
			"id" => "twitter",
			"std" => "",
			"type" => "text");

			$options[] = array( "name" => __('Google Plus Adresi','framework_localize'),
			"desc" => __('Google sayfa adresinizi yazın<br/>Örnek: https://plus.google.com/sayfaID','framework_localize'),
			"id" => "google-plus",
			"std" => "",
			"type" => "text");

			$options[] = array( "name" => __('Youtube Adresi','framework_localize'),
			"desc" => __('Youtube sayfa adresinizi yazın<br/>Örnek: http://www.youtube.com/channel/kanalAdi','framework_localize'),
			"id" => "youtube",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('Güncelleme & Duyurular','framework_localize'),	"type" => "heading");


			$options[] = array( "name" => __('','framework_localize'),
			"desc" => __('','framework_localize'),
			"id" => "",
			"std" => "",
			"type" => "iframe");













update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>