<!DOCTYPE html>
<html lang="tr">
<head>
<meta charset="UTF-8">
<title><?php wp_title('&laquo;', true, 'right'); ?><?php bloginfo('name'); ?></title>
<meta name="description" content="theWP Film Teması&#039;nın yeni sürümü" />
<meta name="keywords" content="thewp film teması, thewp film teması v2, film teması, wordpress film teması" />
<?php if(get_option('logoUrl3')) { ?><link rel="shortcut icon" href="<?php echo get_option('logoUrl3'); ?>"/><?php } else { ?><link rel="shortcut icon" href="<?php echo $temayolu; ?>/assets/images/favicon.ico" /><?php } ?>
<link rel="stylesheet" href="<?php echo $temayolu; ?>/style.css"/>
<link rel="stylesheet" href="<?php echo $temayolu; ?>/assets/styles/main.php"/>

<?php wp_head(); ?>

<style>
header nav .user-panel a.login,
header .menu ul li a:hover i,
section.banner .film-detail .inner h2.title,
.table-special tr td:nth-of-type(2),
section.banner .film-detail .inner ul li.watch a,
.swiper-button-next, .swiper-button-prev,
.m-box figure figcaption .title span,
.m-box2 span:hover.film-name i,
ul.last-comments li .content h3,
ul.fmenui li i,
section.main-film .content .title span.name,
.tags2 span,
section.main-film .content .tags span:first-child,
.tags a:hover,
main section.content .a-title span.num,
span.answer, a.comment-reply-link,
.filmSosyal .title,
section.main-film .content .title .rates a i
{
    color: <?php if(get_option('siteRengi')){ echo (stripslashes(get_option('siteRengi')));}else{echo ('#ffad00');}?>!important;
}

section.banner .film-detail .inner h2.title,
main section.content article.films.active .m-box figcaption .title span,
section.main-film .content .title,
.filmSosyal .title
{
    border-bottom: 1px solid <?php if(get_option('siteRengi')){ echo (stripslashes(get_option('siteRengi')));}else{echo ('#ffad00');}?>!important;
}

section.banner .film-detail .inner ul li.watch a
{
	border: 1px solid <?php if(get_option('siteRengi')){ echo (stripslashes(get_option('siteRengi')));}else{echo ('#ffad00');}?>!important;
}

section.banner .film-detail .inner ul li.watch a:hover,
section.banner .film-detail .inner ul li.stats .box:hover,
section.search-robot,
main section.content .top-bar ul li:after,
main section.content .top-bar ul li:last-child a.active,
button.yeniAramayap,
main aside .widget .m-title,
main aside .widget.categories ul li:after,
ul.last-comments li:hover .image2,
ul.last-comments li:hover .image,
span.current,
.pagination a:after,
section.best ul li:after,
section.news,
footer .f-menu a:after,
footer .f-menu a:hover,
main aside .widget.robot .inner,
section.headline ul li.toggle_bar a.active,
section.film-quailty,
main section.content article.opinion .form button,
#gonder,
header nav .user-panel a.register,
.m-popup button.go,
pageBaslik
{
    background-color: <?php if(get_option('siteRengi')){ echo (stripslashes(get_option('siteRengi')));}else{echo ('#ffad00');}?>!important;
}

main section.content .top-bar ul li:before
{
    background-color: <?php if(get_option('siteRengi')){ echo (stripslashes(get_option('siteRengi')));}else{echo ('#ffad00');}?>!important; opacity: 0.6;
}
</style>

<meta property="og:title" content="<?php the_title(); ?>" />
<meta property="og:url" content="<?php the_permalink(); ?>" />
<meta property="og:image" content="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id(), 'resim1'); echo $resimyolu[0];} ?>" />
<script type="text/javascript">
			function registerNew(deger){
			$("#registerSonuc" + deger).html('<center><img src="<?php echo $temayolu.'/assets/images/loading.gif'; ?>" /></center>');
			$.ajax({
				type:'POST',
				url:'<?php echo $temayolu.'/include/register.php'; ?>',
				data:$('#register' + deger).serialize(),
				success:function(cevap){
						$("#registerSonuc" + deger).html(cevap)
						}
				})
				}
	</script>
</head>
<body>

<header>
    <!--nav-->
    <nav>
        <div class="container">
            <!--catchword-->
            <div class="catchword">
<script>
var a = Math.random() + ""
var rand1 = a.charAt(5)
quotes = new Array
quotes[1] = "<span>Hayaller, çok daha kötüymüş var olan korkulardan. <strong>- Macbeth</strong></span>"
quotes[2] = "<span>Nefes aldığın sürece, mücadele etmeye devam et. <strong>- The Revenant</strong></span>"
quotes[3] = "<span>Güneşin doğuşunu beklemek gibi, senin uyanışını beklemek. <strong>- Delibal</strong></span>"
quotes[4] = "<span>Dünyanın en iyi şarkıcıları hep erkenden öldü. Tanrı kaliteli müzik seviyor olmalı. <strong>- Ip Man</strong></span>"
quotes[5] = "<span>Tecrübelerime göre; bir kadın ne kadar güzelse o kadar manyak olur. <strong>- Blue Valentine</strong></span>"
quotes[6] = "<span>Kendime yalan söylediğimden beri kimseye güvenmiyorum. <strong>- Time of the Gypsies</strong></span>"
quotes[7] = "<span>Bu senin yaşamın ve her geçen dakika sona eriyor. <strong>- Fight Club</strong></span>"
quotes[8] = "<span>Seçim yapmadığın sürece, kalan olasılıkların hepsi mümkündür. <strong>- Mr.Nobody</strong></span>"
quotes[9] = "<span>Sabahları daha çok severdim, eğer daha geç başlasaydı. <strong>- Garfield</strong></span>"
quotes[0] = "<span>Yaşlı bir adam olacaksın , pişmanlıklarla dolu biri ve tek başına ölümü bekleyen. <strong>- Inception</strong></span>"
var quote = quotes[rand1]
document.write(quote);
</script>
            </div>
            <!--user-panel-->
			<?php if ( is_user_logged_in() ) {
			$current_user = wp_get_current_user();
			$adsoyad = $current_user->user_firstname.' '.$current_user->user_lastname;
			$profile = '/author/'.$current_user->user_login;
			$cikis = wp_logout_url($siteyolu);
			?>
				<div class="user-panel">
					<a class="login " href="<?=$profile;?>">
						<i class="fa fa-user"></i>
						Kullanıcı Paneli
					</a>
					<a class="exit" href="<?php echo $cikis; ?>">
						<i class="fa fa-times"></i>
						Çıkış
					</a>
				</div>
			<?php }else{ ?>
				<div class="user-panel">
					<a class="register open-popup-link" href="#m-register">
						<i class="fa fa-user"></i>
						HEMEN ÜYE OL
					</a>
					<a class="login open-popup-link" href="#m-login">
						<i class="fa fa-lock"></i>
						ÜYE GİRİŞİ YAP
					</a>
				</div>
			<?php } ?>
        </div>
    </nav>
    <div class="container">
        <!--logo-->
        <div class="logo">
<?php if(get_option('logoUrl')) { ?><a href="<?php echo $siteyolu; ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo get_option('logoUrl'); ?>" alt="<?php bloginfo('name'); ?>" width="245" height="46"/></a><?php } else { ?><a href="<?php echo $siteyolu; ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo $temayolu; ?>/assets/images/logo.png" alt="<?php bloginfo('name'); ?>" width="245" height="46"/></a>	<?php } ?>
        </div>
        <!--menu-->
        <div class="menu">
<?php
$defaults = array(
 'theme_location'  => 'header-menu',
 'menu'=> '',
 'container'   => 'div',
 'container_class' => '',
 'container_id'=> '',
 'menu_class'  => '',
 'menu_id' => '',
 'echo'=> true,
 'fallback_cb' => 'header-menu',
 'before'  => '',
 'after'   => '',
 'link_before' => '',
 'link_after'  => '',
 'items_wrap'  => '<ul id="%1$s" class="%2$s">%3$s</ul>',
 'depth'   => 0,
 'walker'  => ''
);
wp_nav_menu( $defaults );
?>




        </div>
    </div>
</header>

<div class="m-popup mfp-with-anim mfp-hide " id="m-register">
   <div class="inner">
       <form id="register1" name="registerNews" method="post">
           <ul class="form">
               <li class="m-table">
                   <div class="m-td">Adınız</div>
                   <div class="m-td">
                       <input name="name" type="text" value="">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">Soyadınız</div>
                   <div class="m-td">
                       <input name="surname" type="text" value="">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">Kullanıcı Adınız</div>
                   <div class="m-td">
                       <input name="log" type="text" value="">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">E-Mail Adresiniz</div>
                   <div class="m-td">
                       <input name="email" type="email" value="">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">Şifreniz</div>
                   <div class="m-td">
                       <input name="pwd" type="password" value="">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">Şifreniz (Tekrar)</div>
                   <div class="m-td">
                       <input name="repwd" type="password" value="">
                   </div>
               </li>
               <li class="button">
                    <button type="button" OnClick="registerNew('1');" class="go" name="registerNews">ÜYE OL</button>
               </li>
           </ul>
       </form>
	   <div id="registerSonuc1"></div>
   </div>
</div>



<div class="m-popup mfp-with-anim mfp-hide " id="m-login">
    <div class="inner">
        <form action="<?php bloginfo('url') ?>/wp-login.php" method="post">
            <ul class="form">
                <li class="m-table">
                    <div class="m-td">Kullanıcı Adınız</div>
                    <div class="m-td">
                        <input name="log" id="user_login" pattern="[a-zA-Z0-9]{4,}" type="text">
                    </div>
                </li>
                <li class="m-table">
                    <div class="m-td">Şifreniz</div>
                    <div class="m-td">
                        <input name="pwd" id="user_pass" pattern=".{6,}" type="password">
                    </div>
                </li>
                <li class="button">
                    <button class="go" name="giris" type="submit">GİRİŞ YAP</button>
					<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>" />
					<input type="hidden" name="user-cookie" value="1" />
                </li>
            </ul>
        </form>
    </div>
</div>
