<?php

/*
Template Name: Arama Motoru Sayfası
 */

?>
<?php
$stur = get_query_var( 'tur');
$syil = get_query_var( 'yil');
$simdb = get_query_var( 'imdb');
$skalite = get_query_var( 'kalite');
$sdil = get_query_var( 'dil');

$dil = array('yerli' => 'YERLİ FILM ', 'dublaj' => 'TR DUBLAJ', 'altyazili' => 'TÜRKÇE ALTYAZI ', 'orijinal' => 'ORJ DİL' );

if ($skalite == '360p') {
    $kalite = array('360p','480p','720p','1080p');
}
elseif($skalite == '480p') {
    $kalite = array('480p','720p','1080p');
}
elseif($skalite == '720p') {
    $kalite = array('720p','1080p');
}
elseif($skalite == '1080p') {
    $kalite = array('1080p');
}

$imdb = array();
for ($i= 0; $i < 10 - $simdb; $i++) {
	for ($j=0; $j < 10; $j++) {
		$imdb[] = ($simdb + $i) + 0.1 * $j;
	}
}
$imdb[] = 10;
$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$args = array('paged' => $paged,'posts_per_page' => '18');

if ($stur != 'hepsi' && $stur != '') {
    $arg1 = array (
        'tax_query' => array(
            array(
                'taxonomy' => 'filmTuru',
                'field' => 'slug',
                'terms' => $stur
                )
        )
    );
    $args = array_merge( $args, $arg1);
}

if ($syil != 'hepsi' && $syil != '') {

    $yillar = array();
    $suanyil = date("Y");
    if($syil == 'oncesi'){
        $oncesi = ($suanyil - 8);

        $taxonomies = array(
            'filmYIL'
        );

        $args = array(
            'orderby'           => 'name',
            'order'             => 'ASC',
        );

        $terms = get_terms($taxonomies, $args);
        foreach ( $terms as $taxonomy ) {
            if($taxonomy->name < $oncesi){
                $yillar[] = $taxonomy->name;
            }
        }
    }else{
        $yillar[] = $syil;
    }

    $arg2 = array (
        'tax_query' => array(
            array(
                'taxonomy' => 'filmYIL',
                'field' => 'slug',
                'terms' => $yillar
                )
        )
    );
    $args = array_merge( $args, $arg2);
}

if ($simdb != 'hepsi' && $simdb != '') {
    $puan = array();
    for ($j=0; $j < 10; $j++) {
        $puan[] = $simdb+ 0.1 * $j;
    }
    $arg3 = array (
        'tax_query' => array(
            array(
                'taxonomy' => 'filmIMDB',
                'field' => 'slug',
                'terms' => $puan
                )
        )
    );
    $args = array_merge( $args, $arg3);
}
if ($sdil != 'hepsi' && $sdil != '') {
    $arg4 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> $dil[$sdil],)),);
    $args = array_merge( $args, $arg4);
}
if ($skalite != 'hepsi' && $skalite != '') {
    $arg5 = array('meta_query' => array(array('key'=>'ozellikler_videoKalitesi','value'=> $skalite,)),);
    $args = array_merge( $args, $arg5);
}

if (get_query_var( 'siralama') || get_query_var( 'dil')) {
    $argson = array();
    $args8 = array();
    $argssiralama = array();
    $dil = get_query_var( 'dil');
    if ($dil == 'yerli') {
       $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'YERLİ FILM',)),);
    }elseif($dil == 'dublaj'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'TR DUBLAJ',)),);
    }elseif($dil == 'altyazili'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'TR ALTYAZI',)),);
    }elseif($dil == 'orijinal'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'ORJ DİL',)),);
    }

    $args = array_merge( $args, $args8 );
    $siralama = get_query_var( 'siralama');
    if ($siralama == 'encok') {
       $argsiralama = array( 'meta_key' => 'post_views_count', 'orderby' => 'meta_value_num' );
    }elseif($siralama == 'imdb'){
        $argssiralama = array('orderby' => 'filmIMDB', 'order' => 'DESC');
    }

    $args = array_merge( $args, $argssiralama );
}
$the_query = new WP_Query( $args ); ?>
<?php include(TEMPLATEPATH . '/header.php'); ?>
<?php if(get_option('solReklam2')){$reklam = '<div style="clear:both;"></div><div style="margin-bottom:29px;text-align:center;background-color:#262626;padding: 10px 0px;">'.stripslashes(get_option('solReklam2')).'</div><div style="clear:both;"></div>';} ?>
<?php if(get_option('solReklam3')){$reklam2 = '<div style="clear:both;"></div><div style="margin-bottom:29px;text-align:center;background-color:#262626;padding: 10px 0px;">'.stripslashes(get_option('solReklam3')).'</div><div style="clear:both;"></div>';} ?>

<section class="headline">
    <div class="container">
        <span class="title">
            <i class="fa fa-th-list"></i> <strong>Arama Motoru</strong>
        </span>
        <div class="list">
            <ul>
                <li>
                    <form action="" method="GET">
                    <select name="dil" data-custom-class="select-special" data-placeholder="FİLM DİLİNİ SEÇİNİZ" onchange="this.form.submit()">
                        <option value="hepsi" <?php if(get_query_var( 'dil') == 'hepsi'){echo 'selected';} ?>>Hepsi</option>
                        <option value="yerli" <?php if(get_query_var( 'dil') == 'yerli'){echo 'selected';} ?>>Yerli Film</option>
                        <option value="dublaj" <?php if(get_query_var( 'dil') == 'dublaj'){echo 'selected';} ?>>Türkçe Dublaj</option>
                        <option value="altyazili" <?php if(get_query_var( 'dil') == 'altyazili'){echo 'selected';} ?>>Türkçe Altyazı</option>
                        <option value="orijinal" <?php if(get_query_var( 'dil') == 'orijinal'){echo 'selected';} ?>>Orijinal Dil</option>
                    </select>
                    <?php
                    if (get_query_var( 'siralama')) {
                        echo '<input type="hidden" name="siralama" value="'.get_query_var( 'siralama').'" />';
                    }
                    if (get_query_var('tur')) {
                        echo '<input type="hidden" name="tur" value="'.get_query_var( 'tur').'" />';
                    }
                    if (get_query_var('imdb')) {
                        echo '<input type="hidden" name="imdb" value="'.get_query_var( 'imdb').'" />';
                    }
                    if (get_query_var('kalite')) {
                        echo '<input type="hidden" name="kalite" value="'.get_query_var( 'kalite').'" />';
                    }
                    ?>

                    </form>
                </li>
                <li>
                    <form action="" method="GET">
                    <?php
                    if (get_query_var('dil')) {
                        echo '<input type="hidden" name="dil" value="'.get_query_var( 'dil').'" />';
                    }
                    if (get_query_var('tur')) {
                        echo '<input type="hidden" name="tur" value="'.get_query_var( 'tur').'" />';
                    }
                    if (get_query_var('imdb')) {
                        echo '<input type="hidden" name="imdb" value="'.get_query_var( 'imdb').'" />';
                    }
                    if (get_query_var('kalite')) {
                        echo '<input type="hidden" name="kalite" value="'.get_query_var( 'kalite').'" />';
                    }
                    ?>
                    <select name="siralama" data-custom-class="select-special" data-placeholder="SIRALAMA ÖLÇÜTÜ SEÇİNİZ" onchange="this.form.submit()">
                        <option value="imdb" <?php if(get_query_var( 'siralama') == 'imdb'){echo 'selected';} ?>>IMDB</option>
                        <option value="encok" <?php if(get_query_var( 'siralama') == 'encok'){echo 'selected';} ?>>En Çok İzlenenler</option>
                    </select>
                    </form>
                </li>
                <li class="toggle_bar">
                    <a href="#" class="fa fa-th-large active"></a>
                    <a href="#" class="fa fa-bars"></a>
                </li>
            </ul>
        </div>
    </div>
</section>


<main role="main">
    <div class="container">
        <!--content-->
        <section class="content">
<article class="films ">
<?php $s = 0; if ($the_query->have_posts()) : while ($the_query->have_posts()) : $the_query->the_post(); $s++; ?>
<?php if ($s == 7) {echo $reklam;}?>
<?php if ($s == 13) {echo $reklam2;}?>

<div class="m-box">
                    <figure>
                        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                            <img src="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id(), 'resim1'); echo $resimyolu[0];} ?>"  title="<?php the_title(); ?>" width="260" height="370">
<span class="info">
<span><i class="fa fa-star"></i>IMDB: <?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmIMDB', '', ', ', '' ) ); echo $terms_as_text; ?> / 10 </span>
<?php if (get_post_meta($post->ID, "ozellikler_videoDil", true)){ ?><span><i class="fa fa-eye"></i><?php echo get_post_meta($post->ID, "ozellikler_videoDil", true); ?></span><?php } ?>
<?php if (get_post_meta($post->ID, "ozellikler_videoKalitesi", true)){ ?><span><i class="fa fa-adjust"></i><?php echo get_post_meta($post->ID, "ozellikler_videoKalitesi", true); ?></span> <?php } ?>
</span>
                            <figcaption>
                                <div class="title">
                                <span>
                                    <?php the_title(); ?>
                                </span>
                                </div>
<table class="table-special">
<tbody>
<tr>
<td>
<span class="fa fa-bars"></span>
</td>
<td>TÜR</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmTuru', '', ', ', '' ) ); echo $terms_as_text; ?></td>
</tr>
<tr>
<td>
<span class="fa fa-plug"></span>
</td>
<td>YAPIM YILI</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmYIL', '', ', ', '' ) ); if($terms_as_text != ''){echo $terms_as_text;}else{echo '-';} ?></td>
</tr>
<tr>
<td>
<span class="fa fa-clock-o"></span>
</td>
<td>SÜRE</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoSuresi', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoSuresi', true); ?> Dak.<?php } else { ?>-<?php } ?></td>
</tr>
<tr>
<td>
<span class="fa fa-star-o"></span>
</td>
<td>IMDB</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmIMDB', '', ', ', ' / 10' ) ); if($terms_as_text != ''){echo $terms_as_text;}else{echo '-';} ?></td>
</tr>
<tr>
<td>
<span class="fa fa-desktop"></span>
</td>
<td>KALİTE</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoKalitesi', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoKalitesi', true); ?><?php } else { ?>-<?php } ?></td>
</tr>
<tr>
<td>
<span class="fa fa-th-large"></span>
</td>
<td>SEÇENEKLER</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoDil', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoDil', true); ?><?php } else { ?>-<?php } ?></td>
</tr>
</tbody>
</table>
<div class="filmOzeti">
<?php
if (strpos($post->post_content, '--more--')) {
 $morestring = '<!--more-->';
 $explodemore = explode($morestring, $post->post_content);
 echo mb_substr(apply_filters('the_content',$explodemore[0]),0,200).' ...';
}else{
 echo '<p>';
 echo mb_substr(get_post_meta($post->ID, 'ozellikler_filmOzeti', true), 0, 200).' ...';
 echo '</p>';
}?>
</div>

                            </figcaption>
                            <span class="film-name">
                                <?php the_title(); ?>
                            </span>
                        </a>
                    </figure>
                </div>



<?php endwhile; ?>
<?php else : ?>
<?php include(TEMPLATEPATH. '/404.php'); ?>
<?php endif; ?>

<div style="clear:both;"></div>
<?php
$pages = $the_query->max_num_pages;
$showitems = (2 * 2)+1;
 if(1 != $pages)
 {
 echo "<div class='pagination'>";
 if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link(1)."'>ilk sayfa</a>";
 if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'><i class='fa fa-chevron-left'></i></a>";
 for ($i=1; $i <= $pages; $i++)
 {
 if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
 {
 echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
 }
 }
 if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'><i class='fa fa-chevron-right'></i></a>";
 if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link($pages)."'>son sayfa</a>";
 echo "</div>\n";
 }
 ?>
</article>
        </section>
<aside>
            <!--widget categories-->

<?php include(TEMPLATEPATH . '/yanrobot.php'); ?>

<?php 
if(get_option('sagReklam1'))
{echo '<div class="widget rklm">'.stripslashes(get_option('sagReklam1')).'</div>';}
else
{}
 ?>

<div class="widget categories">
<div class="m-title"><span><i class="fa fa-th-list"></i>FİLM TÜRLERİ</span></div>
<?php
$defaults = array(
 'theme_location'  => 'yan-menu',
 'menu'=> '',
 'container'   => 'div',
 'container_class' => '',
 'container_id'=> '',
 'menu_class'  => '',
 'menu_id' => '',
 'echo'=> true,
 'fallback_cb' => 'yan-menu',
 'before'  => '',
 'after'   => '',
 'link_before' => '<i style="margin-right: 5px" class="fa fa-film"></i>',
 'link_after'  => '',
 'items_wrap'  => '<ul id="%1$s" class="%2$s">%3$s</ul>',
 'depth'   => 0,
 'walker'  => ''
);
wp_nav_menu( $defaults );
?>
</div>

<?php

$menu_location = 'yan-menu2';
$menu_locations = get_nav_menu_locations();
$menu_object = (isset($menu_locations[$menu_location]) ? wp_get_nav_menu_object($menu_locations[$menu_location]) : null);
$menu_name = (isset($menu_object->name) ? $menu_object->name : '');


$defaults = array(
 'theme_location'  => 'yan-menu2',
 'menu'=> '',
 'container'   => 'div',
 'container_class' => '',
 'container_id'=> '',
 'menu_class'  => '',
 'menu_id' => '',
 'echo'=> false,
 'fallback_cb' => 'yan-menu2',
 'before'  => '',
 'after'   => '',
 'link_before' => '<i style="margin-right: 5px" class="fa fa-film"></i>',
 'link_after'  => '',
 'items_wrap'  => '<ul id="%1$s" class="%2$s">%3$s</ul>',
 'depth'   => 0,
 'walker'  => ''
);
$menu = wp_nav_menu( $defaults );
if (strpos($menu, 'menu')) { ?>
<div class="widget categories">
<div class="m-title"><span><i class="fa fa-th-list"></i><?php echo $menu_name; ?></span></div>
<?php echo $menu; ?>
</div>
<?php } ?>

<?php if(get_option('sagPopulerfilm')=="true"){  ?>
<div class="widget popular">
<div class="m-title">
<span>
<i class="fa fa-heart"></i>
POPÜLER FİLMLER
</span>
</div>
<ul class="last-comments small">
<?php query_posts('meta_key=post_views_count&orderby=meta_value_num&order=DESC&posts_per_page=5'); if (have_posts()) : while (have_posts()) : the_post(); ?>
<li>
<div class="image">
<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
<img src="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id()); echo $resimyolu[0];} ?>" alt="<?php the_title(); ?>" width="54" height="54"/>
</a>
</div>
<div class="content">
<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h3><? the_title(); ?></h3></a>
<div class="m-table">
<div class="m-td">
<span>
<i class="fa fa-star-o"></i>
<strong>IMDB:</strong> <?php $terms_as_text = strip_tags( get_the_term_list( $wp_query->post->ID, 'filmIMDB', '', ', ', '' ) ); echo $terms_as_text; ?>
</span>
</div>
<div class="m-td">
<span>
<i class="fa fa-eye"></i>
<strong>İZLENME:</strong> <?php echo getPostViews(get_the_ID()); ?>
</span>
</div>
</div>
</div>
</li>
<?php endwhile; endif; wp_reset_query(); ?>
</ul>
</div>
<?php } ?>
        </aside>
    </div>
</main>

<?php include(TEMPLATEPATH . '/footer.php'); ?>
