<?php
/*
Plugin Name: theWP - İletişim Formu Eklentisi
Description: Ziyaretçilerinizin gönderdiği iletişim taleplerini artık admin panelinden rahatlıkla görüntülemenizi sağlar.
Plugin URI: https://www.theWP.com.tr
Version: 1.0
Author: theWP.com.tr
Author URI: https://www.theWP.com.tr
License: GNU
*/
?>
<?php

add_action( 'admin_menu', 'İletisimFormu_menu_page' );
function İletisimFormu_menu_page(){
    add_menu_page(__('İletişim Formu','iletisim'), __('İletişim Formu','iletisim'), 'manage_options', 'iletisimformu', 'iletisim_page','',3);
    add_menu_page(__('Hata Formu','hatabildir'), __('Hata Formu','hatabildir'), 'manage_options', 'hataformu', 'hata_page','',3);
}

register_activation_hook(__FILE__,'iletisimformu_sql_install');
register_activation_hook(__FILE__,'iletisimformu_install_data');


function iletisimformu_sql_install()
{
    global $wpdb;
    $db_sql="CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}iletisim_formu` (
         `id` bigint(20) NOT NULL auto_increment,
         `konu` text NOT NULL ,
         `mesaj` text NOT NULL ,
         `adsoyad` text NOT NULL ,
         `eposta` text NOT NULL ,
         `tarih` datetime NOT NULL ,
		 `tur` text NOT NULL ,
		 `durum` text NOT NULL ,
            PRIMARY KEY  (`id`)
         ) DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;";
    $wpdb->query($db_sql);
}

function iletisimformu_install_data() {
    global $wpdb;

    $iletisim_konu      = 'Konu Başlığı';
    $iletisim_mesaj     = 'İletişim Mesajlarınız burada görünmektedir. ';
    $iletisim_adsoyad   = 'theWP.Gen.Tr';
    $iletisim_eposta    = 'info@thewp.gen.tr';
    $iletisim_tur    = 'iletisim';

    $table_name = $wpdb->prefix . 'iletisim_formu';

    $wpdb->insert(
        $table_name,
        array(
            'tarih' => current_time( 'mysql' ),
            'konu' => $iletisim_konu,
            'mesaj' => $iletisim_mesaj,
            'adsoyad' => $iletisim_adsoyad,
            'eposta' => $iletisim_eposta,
            'tur' => $iletisim_tur,
        )
    );
}
function iletisim_page()
{
 if(isset($_GET['mesaj']))
 {
     $id = $_GET['mesaj'];
     global $wpdb;
     $mesaj = $wpdb->get_row("select * from ".$wpdb->prefix."iletisim_formu where id=$id;");
     $konu = $mesaj->konu;
     $adsoyad = $mesaj->adsoyad;
     $eposta = $mesaj->eposta;
     $tarih = $mesaj->tarih;
     $mesaj = $mesaj->mesaj;
     ?>
     <div class="wrap" xmlns="http://www.w3.org/1999/html">
         <h2>
             theWP - İletişim Formu
         </h2>
     <div id="namediv" class="stuffbox">
         <div class="inside">
             <table class="form-table editcomment">
                 <tbody>
                 <tr>
                     <td class="first">Ad Soyad:</td>
                     <td><input type="text" name="adsoyad" size="10" value="<?php echo $adsoyad; ?>"></td>
                 </tr>
                 <tr>
                     <td class="first">E-Posta:</td>
                     <td><input type="text" name="eposta" size="10" value="<?php echo $eposta; ?>"></td>
                 </tr>
                 <tr>
                     <td class="first">Konu:</td>
                     <td><input type="text" name="konu" size="10" value="<?php echo $konu; ?>"></td>
                 </tr>
                 <tr>
                     <td class="first">Tarih:</td>
                     <td><input type="text" name="tarih" size="10" value="<?php echo $tarih; ?>"></td>
                 </tr>
                 <tr>
                     <td class="first">Mesaj:</td>
                     <td><textarea rows="10" cols="100"><?php echo $mesaj; ?></textarea></td>
                 </tr>
                 </tbody>
             </table>
             <br>
         </div>
     </div>
     </div>
     <?php
 }
 elseif(isset($_GET['sil']))
 {
     $id = $_GET['sil'];
     global $wpdb;
     $sil = $wpdb->query("DELETE FROM ".$wpdb->prefix."iletisim_formu where id=$id;");

     if($sil){ echo 'Silindi';}
     $geldigi_sayfa = $_SERVER['HTTP_REFERER'];
     wp_redirect( $geldigi_sayfa, 301 ); exit;


 } elseif(isset($_GET['onayla']))
 {
     $id = $_GET['onayla'];
     global $wpdb;
					$table_name = $wpdb->prefix . 'iletisim_formu';
						$wpdb->query("UPDATE $table_name SET durum = 1 WHERE ID = $id");
		 echo 'Silindi';
		$geldigi_sayfa = $_SERVER['HTTP_REFERER'];
		wp_redirect( $geldigi_sayfa, 301 ); exit;
 }
 else {

        ?>
        <div class="wrap" xmlns="http://www.w3.org/1999/html">
            <h2>
                theWP - İletişim Formu
            </h2>

            <div id="post-body-content">
                <table class="wp-list-table widefat plugins">
                    <thead>
                    <tr>
                        <th scope="col" style="">ID</th>
                        <th scope="col" style="">Konu</th>
                        <th scope="col" style="">İçerik</th>
                        <th scope="col" style="">E-Posta</th>
                        <th scope="col" style="">Tarih</th>
                        <th scope="col" style=""></th>

                    </tr>
                    </thead>

                    <tfoot>
                    <tr>
                        <th scope="col" style="">ID</th>
                        <th scope="col" style="">Konu</th>
                        <th scope="col" style="">İçerik</th>
                        <th scope="col" style="">E-Posta</th>
                        <th scope="col" style="">Tarih</th>
                        <th scope="col" style=""></th>
                    </tr>
                    </tfoot>

                    <tbody>
                    <?php
                    global $wpdb;
                    $adressatiri = "http://" . $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF'];
                    $mesajlar = $wpdb->get_results("select * from ".$wpdb->prefix."iletisim_formu where tur='iletisim' order by tarih DESC LIMIT 25;");

                    foreach ($mesajlar as $mesaj) {
                        $id = $mesaj->id;
                        $konu = $mesaj->konu;
                        $icerik = $mesaj->mesaj;
                        $icerik = substr($icerik, 0, 50).'...';
                        $eposta = $mesaj->eposta;
                        $tarih = $mesaj->tarih;
						$durum = $mesaj->durum;
                        $goruntule = $adressatiri . '?page=iletisimformu&mesaj=' . $id;
                        $sil = $adressatiri . '?page=iletisimformu&sil=' . $id;
                        $onayla = $adressatiri . '?page=iletisimformu&onayla=' . $id;


                        if ($durum == "1") {
							echo '<tr style="background-color:#ffe1e1;">';
						}else{
							echo '<tr class="active">';
						}
                        echo '<th id="idnumber" style="padding-top:10px">';
                        echo $id;
                        echo '</th>';
                        echo '<td id="konu">';
                        echo '    <strong><a href="' . $goruntule . '">' . $konu . '</a></strong>';
                        echo '</td>';
                        echo '<td id="icerik">';
                        echo '    <div>';
                        echo '        <p>' . $icerik . '</p>';
                        echo '    </div>';
                        echo '</td>';
                        echo '<td id="e-posta">';
                        echo '   <div>';
                        echo '        <p>' . $eposta . '</p>';
                        echo '    </div>';
                        echo '</td>';
                        echo '<td id="tarih">';
                        echo '   <div>';
                        echo '        <p>' . $tarih . '</p>';
                        echo '    </div>';
                        echo '</td>';
						echo '<td id="onayla">';
                        echo '   <div>';
                        echo '        <a style="color:red;" href="' . $onayla . '">Bildirimi Kapat</a>';
                        echo '    </div>';
                        echo '</td>';
                        echo '<td id="sil">';
                        echo '   <div>';
                        echo '        <a href="' . $sil . '">SİL</a>';
                        echo '    </div>';
                        echo '</td>';
                        echo '</tr>';
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php
    }
    }
	
	
	function hata_page()
{
 if(isset($_GET['mesaj']))
 {
     $id = $_GET['mesaj'];
     global $wpdb;
     $mesaj = $wpdb->get_row("select * from ".$wpdb->prefix."iletisim_formu where id=$id");
     $konu = $mesaj->konu;
     $adsoyad = $mesaj->adsoyad;
     $eposta = $mesaj->eposta;
     $tarih = $mesaj->tarih;
     $mesajs = explode('---',$mesaj->mesaj);
	 $mesaj = $mesajs[1];
	 $link = $mesajs[0];
     ?>
     <div class="wrap" xmlns="http://www.w3.org/1999/html">
         <h2>
             theWP - Hata Formu
         </h2>
     <div id="namediv" class="stuffbox">
         <div class="inside">
             <table class="form-table editcomment">
                 <tbody>
                 <tr>
                     <td class="first">Ad Soyad:</td>
                     <td><input type="text" name="adsoyad" size="10" value="<?php echo $adsoyad; ?>"></td>
                 </tr>
                 <tr>
                     <td class="first">E-Posta:</td>
                     <td><input type="text" name="eposta" size="10" value="<?php echo $eposta; ?>"></td>
                 </tr>
                 <tr>
                     <td class="first">Film:</td>
                     <td><input type="text" disabled="disabled" style="color:red;" name="konu" size="10" value="<?php echo $konu; ?>"></td>
                 </tr>
                 <tr>
                     <td class="first">Tarih:</td>
                     <td><input type="text" name="tarih" size="10" value="<?php echo $tarih; ?>"></td>
                 </tr>
                 <tr>
                     <td class="first">Sorun:</td>
                     <td><textarea rows="10" cols="100"><?php echo $mesaj; ?></textarea></td>
                 </tr>
				  <tr>
                     <td class="first">Link:</td>
                     <td><a href="<?=$link;?>" target="_blank">Filme Gitmek İçin Tıklayın</a></td>
                 </tr>
                 </tbody>
             </table>
             <br>
         </div>
     </div>
     </div>
     <?php
 }
 elseif(isset($_GET['sil']))
 {
     $id = $_GET['sil'];
     global $wpdb;
     $sil = $wpdb->query("DELETE FROM ".$wpdb->prefix."iletisim_formu where id=$id;");

     if($sil){ echo 'Silindi';}
     $geldigi_sayfa = $_SERVER['HTTP_REFERER'];
     wp_redirect( $geldigi_sayfa, 301 ); exit;


 }elseif(isset($_GET['onayla']))
 {
     $id = $_GET['onayla'];
     global $wpdb;
					$table_name = $wpdb->prefix . 'iletisim_formu';
						$wpdb->query("UPDATE $table_name SET durum = 1 WHERE ID = $id");
		 echo 'Silindi';
		$geldigi_sayfa = $_SERVER['HTTP_REFERER'];
		wp_redirect( $geldigi_sayfa, 301 ); exit;
 }
 else {

        ?>
        <div class="wrap" xmlns="http://www.w3.org/1999/html">
            <h2>
                theWP - Hata Formu
            </h2>

            <div id="post-body-content">
                <table class="wp-list-table widefat plugins">
                    <thead>
                    <tr>
                        <th scope="col" style="">ID</th>
                        <th scope="col" style="">Film</th>
                        <th scope="col" style="">Sorun</th>
                        <th scope="col" style="">E-Posta</th>
                        <th scope="col" style="">Tarih</th>
                        <th scope="col" style=""></th>

                    </tr>
                    </thead>

                    <tfoot>
                    <tr>
                        <th scope="col" style="">ID</th>
                        <th scope="col" style="">Film</th>
                        <th scope="col" style="">Sorun</th>
                        <th scope="col" style="">E-Posta</th>
                        <th scope="col" style="">Tarih</th>
                        <th scope="col" style=""></th>
                    </tr>
                    </tfoot>

                    <tbody>
                    <?php
                    global $wpdb;
                    $adressatiri = "http://" . $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF'];
                    $mesajlar = $wpdb->get_results("select * from ".$wpdb->prefix."iletisim_formu where tur='hata' order by tarih DESC LIMIT 25;");

                    foreach ($mesajlar as $mesaj) {
                        $id = $mesaj->id;
                        $konu = $mesaj->konu;
                        $iceriks = explode('---',$mesaj->mesaj);
						$icerik = $iceriks[1];
						$link = $iceriks[0];
                        $icerik = substr($icerik, 0, 50).'...';
                        $eposta = $mesaj->eposta;
                        $tarih = $mesaj->tarih;
						$durum = $mesaj->durum;
                        $goruntule = $adressatiri . '?page=hataformu&mesaj=' . $id;
                        $sil = $adressatiri . '?page=hataformu&sil=' . $id;
                        $onayla = $adressatiri . '?page=hataformu&onayla=' . $id;


                        if ($durum == "1") {
							echo '<tr style="background-color:#ffe1e1;">';
						}else{
							echo '<tr class="active">';
						}
                        echo '<th id="idnumber" style="padding-top:10px">';
                        echo $id;
                        echo '</th>';
                        echo '<td id="konu">';
                        echo '    <strong><a href="' . $goruntule . '">' . $konu . '</a></strong>';
                        echo '</td>';
                        echo '<td id="icerik">';
                        echo '    <div>';
                        echo '        <p>' . $icerik . '</p>';
                        echo '    </div>';
                        echo '</td>';
                        echo '<td id="e-posta">';
                        echo '   <div>';
                        echo '        <p>' . $eposta . '</p>';
                        echo '    </div>';
                        echo '</td>';
                        echo '<td id="tarih">';
                        echo '   <div>';
                        echo '        <p>' . $tarih . '</p>';
                        echo '    </div>';
                        echo '</td>';
						echo '<td id="onayla">';
                        echo '   <div>';
                        echo '        <a style="color:red;" href="' . $onayla . '">Bildirimi Kapat</a>';
                        echo '    </div>';
                        echo '</td>';
                        echo '<td id="sil">';
                        echo '   <div>';
                        echo '        <a href="' . $sil . '">SİL</a>';
                        echo '    </div>';
                        echo '</td>';
                        echo '</tr>';
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php
    }
    }
?>