<?php

/* Tasarımı geliştirmek için kullanacağınız fonksiyon kodlarını aşağıya ekleyebilirsiniz. */


 /* Resim optimize */
if (function_exists('add_theme_support')) {
add_theme_support( 'post-thumbnails' );
add_image_size('resim1', 260, 370, true);
};
add_filter( 'jpeg_quality', create_function( '', 'return 75;' ) );
/* Resim optimize */



/* Arama Motoru Başlangıç */

/*add_action( 'init', 'aramamodulu_init_internal' );
function aramamodulu_init_internal()
{
    add_rewrite_rule( 'arama/?', 'index.php?sayfa=arama', 'top' );
    flush_rewrite_rules();
}

add_filter( 'query_vars', 'aramamodulu_query_vars' );
function aramamodulu_query_vars( $query_vars )
{
    $query_vars[] = 'sayfa';
    return $query_vars;
}

add_action( 'parse_request', 'aramamodulu_parse_request' );
function aramamodulu_parse_request( &$wp )
{

    if ( array_key_exists( 'sayfa', $wp->query_vars ) ) {
      global $dir;
      include(get_template_directory() . '/aramarobotu.php');
    }
    return;
}*/
/* Arama Motoru Bitiş */

function arama_motoru_add_query_vars_filter( $vars ){
  $vars[] = "tur";
  $vars[] = "yil";
  $vars[] = "imdb";
  $vars[] = "kalite";
  $vars[] = "siralama";
  $vars[] = "dil";
  return $vars;
}
add_filter( 'query_vars', 'arama_motoru_add_query_vars_filter' );



/* IMDB ORDER BY */
function imdb_orderby( $orderby, $wp_query ) {
  global $wpdb;

  if ( isset( $wp_query->query['orderby'] ) && 'filmIMDB' == $wp_query->query['orderby'] ) {
    $orderby = "(
      SELECT GROUP_CONCAT(name ORDER BY name ASC)
      FROM $wpdb->term_relationships
      INNER JOIN $wpdb->term_taxonomy USING (term_taxonomy_id)
      INNER JOIN $wpdb->terms USING (term_id)
      WHERE $wpdb->posts.ID = object_id
      AND taxonomy = 'filmIMDB'
      GROUP BY object_id
    ) ";
    $orderby .= ( 'ASC' == strtoupper( $wp_query->get('order') ) ) ? 'ASC' : 'DESC';
  }

  return $orderby;
}
add_filter( 'posts_orderby', 'imdb_orderby', 10, 2 );
/* IMDB ORDER BY */



/* Kullanıcı Paneli Gereçeleri */
/*add_action("init", "user_panel_js");
function user_panel_js() {
  wp_register_script("kullanicipaneli_js", get_template_directory_uri() . '/assets/scripts/kullanicipaneli_js.js',array( 'jquery' ) );
  wp_enqueue_script("kullanicipaneli_js");
  wp_localize_script("kullanicipaneli_js", "KullaniciPAneliPath", array( 'ajaxurl' => admin_url( 'admin-ajax.php' )));
}

add_action("wp_ajax_kullanici_daha_sonra_izle","kullanici_daha_sonra_izle_func");
add_action("wp_ajax_nopriv_kullanici_daha_sonra_izle","kullanici_daha_sonra_izle_func");

function kullanici_daha_sonra_izle_func(){


}*/
/* Kullanıcı Paneli Gereçeleri */


function change_menu($items){
  foreach($items as $item){
    $menu_name = 'header-menu';

    if ( ( $locations = get_nav_menu_locations() ) && isset( $locations[ $menu_name ] ) ) {
    $menu = wp_get_nav_menu_object( $locations[ $menu_name ] );
    $menu_items = wp_get_nav_menu_items($menu->term_id);
    $sayi = 0 ;
    foreach ( (array) $menu_items as $key => $menu_item ) {
      if($menu_item->ID == $item->ID){
        $sayi = 1;
      }
    }
    if ($sayi == 1) {

      $cumle = $item->title;
      $parcalar = explode(" ", $cumle);
      $kelimesayisi =  count($parcalar);

      $ilk = ceil($kelimesayisi / 2);

      $metin = '';
      $i = 0;
      foreach ($parcalar as $parca) {
        if($i == 0){
          $metin .= '<span class="name">';
        }
        if($i == ($ilk)){
          $metin .= '</span><strong>' . $parca;
        }else{
          if($i==0){
            $metin .= $parca;
          }else{
            $metin .= ' '. $parca;
          }
        }
        if($i == ($kelimesayisi -1)){
          $metin .= '</strong>';
        }
        $i++;
      }
      $item->title = $metin;
    }
  }
}
  return $items;
}

add_filter('wp_nav_menu_objects', 'change_menu');





function tb_enqueue() {
 wp_enqueue_script('jquery');
 wp_enqueue_script('thickbox');
}

function tb_inject() {
?>

<link rel="stylesheet" href="<?= get_option('siteurl'); ?>/<?= WPINC; ?>/js/thickbox/thickbox.css" type="text/css" media="screen" />
<script type="text/javascript">
var tb_pathToImage = "<?= get_option('siteurl'); ?>/<?= WPINC; ?>/js/thickbox/loadingAnimation.gif";
var tb_closeImage = "<?= get_option('siteurl'); ?>/<?= WPINC; ?>/js/thickbox/tb-close.png"
</script>

<?php
}

add_action('wp_head', 'tb_enqueue', 1);
add_action('wp_footer', 'tb_inject', 10);

?>
