<?php

/*
Template Name: Türkçe Dublaj Filmler
 */

?>
<?php

$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$args = array(
    'order' => 'DESC',
    'paged' => $paged,
    'posts_per_page' => '18',
    'meta_query' => array(
        array(
            'key'=>'ozellikler_videoDil',
            'value'=> 'TR DUBLAJ'
            )
        )
);

if (get_query_var( 'siralama')) {
    $argssiralama = array();
    $siralama = get_query_var( 'siralama');
    if ($siralama == 'encok') {
       $argsiralama = array( 'meta_key' => 'post_views_count', 'orderby' => 'meta_value_num' );
    }elseif($siralama == 'imdb'){
        $argssiralama = array('orderby' => 'filmIMDB', 'order' => 'DESC');
    }

    $args = array_merge( $args, $argssiralama );
}

$the_query = new WP_Query( $args ); ?>
<?php include(TEMPLATEPATH . '/header.php'); ?>
<?php if(get_option('solReklam2')){$reklam = '<div style="clear:both;"></div><div style="margin-bottom:29px;text-align:center;background-color:#262626;padding: 10px 0px;">'.stripslashes(get_option('solReklam2')).'</div><div style="clear:both;"></div>';} ?>
<?php if(get_option('solReklam3')){$reklam2 = '<div style="clear:both;"></div><div style="margin-bottom:29px;text-align:center;background-color:#262626;padding: 10px 0px;">'.stripslashes(get_option('solReklam3')).'</div><div style="clear:both;"></div>';} ?>

<section class="headline">
    <div class="container">
        <span class="title">
            <i class="fa fa-th-list"></i> <strong><?php echo get_the_title(); ?></strong>
        </span>
        <div style="width: 340px!important;" class="list">
            <ul>
                <form action="" method="GET">
                    <li style="width: 71%!important;">
                        <select name="siralama" data-custom-class="select-special" data-placeholder="SIRALAMA ÖLÇÜTÜ SEÇİNİZ" onchange="this.form.submit()">
                            <option value="imdb" <?php if(get_query_var( 'siralama') == 'imdb'){echo 'selected';} ?>>IMDB</option>
                            <option value="encok" <?php if(get_query_var( 'siralama') == 'encok'){echo 'selected';} ?>>En Çok İzlenenler</option>
                        </select>
                    </li>
                    <li style="width: 26.5%;" class="toggle_bar">
                        <a href="#" class="fa fa-th-large active"></a>
                        <a href="#" class="fa fa-bars"></a>
                    </li>
                </form>
            </ul>
        </div>
    </div>
</section>


<style>
.solkulereklam, .sagkulereklam {margin-top:20px;}
</style>
<div style="width: 1170px;margin: 0px auto;background: #fff;z-index: 10;position: relative;">
<?php if(get_option('kayanReklamSol')) { echo '<div class="solkulereklam">'; echo stripslashes(get_option('kayanReklamSol')); echo '</div>'; } else { ?><?php } ?>
<?php if(get_option('kayanReklamSag')) { echo '<div class="sagkulereklam"> '; echo stripslashes(get_option('kayanReklamSag')); echo '</div>'; } else { ?><?php } ?>
</div>


<main role="main">
    <div class="container">
        <!--content-->
        <section class="content">
<article class="films ">
<?php $s = 0; if ($the_query->have_posts()) : while ($the_query->have_posts()) : $the_query->the_post(); $s++; ?>
<?php if ($s == 7) {echo $reklam;}?>
<?php if ($s == 13) {echo $reklam2;}?>

<div class="m-box">
                    <figure>
                        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                            <img src="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id(), 'resim1'); echo $resimyolu[0];} ?>"  title="<?php the_title(); ?>" width="260" height="370">
<span class="info">
<span><i class="fa fa-star"></i>IMDB: <?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmIMDB', '', ', ', '' ) ); echo $terms_as_text; ?> / 10 </span>
<?php if (get_post_meta($post->ID, "ozellikler_videoDil", true)){ ?><span><i class="fa fa-eye"></i><?php echo get_post_meta($post->ID, "ozellikler_videoDil", true); ?></span><?php } ?>
<?php if (get_post_meta($post->ID, "ozellikler_videoKalitesi", true)){ ?><span><i class="fa fa-adjust"></i><?php echo get_post_meta($post->ID, "ozellikler_videoKalitesi", true); ?></span> <?php } ?>
</span>
                            <figcaption>
                                <div class="title">
                                <span>
                                    <?php the_title(); ?>
                                </span>
                                </div>
<table class="table-special">
<tbody>
<tr>
<td>
<span class="fa fa-bars"></span>
</td>
<td>TÜR</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmTuru', '', ', ', '' ) ); echo $terms_as_text; ?></td>
</tr>
<tr>
<td>
<span class="fa fa-plug"></span>
</td>
<td>YAPIM YILI</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmYIL', '', ', ', '' ) ); if($terms_as_text != ''){echo $terms_as_text;}else{echo '-';} ?></td>
</tr>
<tr>
<td>
<span class="fa fa-clock-o"></span>
</td>
<td>SÜRE</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoSuresi', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoSuresi', true); ?> Dak.<?php } else { ?>-<?php } ?></td>
</tr>
<tr>
<td>
<span class="fa fa-star-o"></span>
</td>
<td>IMDB</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmIMDB', '', ', ', ' / 10' ) ); if($terms_as_text != ''){echo $terms_as_text;}else{echo '-';} ?></td>
</tr>
<tr>
<td>
<span class="fa fa-desktop"></span>
</td>
<td>KALİTE</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoKalitesi', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoKalitesi', true); ?><?php } else { ?>-<?php } ?></td>
</tr>
<tr>
<td>
<span class="fa fa-th-large"></span>
</td>
<td>SEÇENEKLER</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoDil', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoDil', true); ?><?php } else { ?>-<?php } ?></td>
</tr>
</tbody>
</table>
<div class="filmOzeti">
<?php
if (strpos($post->post_content, '--more--')) {
 $morestring = '<!--more-->';
 $explodemore = explode($morestring, $post->post_content);
 echo mb_substr(apply_filters('the_content',$explodemore[0]),0,200).' ...';
}else{
 echo '<p>';
 echo mb_substr(get_post_meta($post->ID, 'ozellikler_filmOzeti', true), 0, 200).' ...';
 echo '</p>';
}?>
</div>

                            </figcaption>
                            <span class="film-name">
                                <?php the_title(); ?>
                            </span>
                        </a>
                    </figure>
                </div>



<?php endwhile; ?>
<?php else : ?>
<?php include(TEMPLATEPATH. '/404.php'); ?>
<?php endif; ?>

<div style="clear:both;"></div>
<?php
$pages = $the_query->max_num_pages;
$showitems = (2 * 2)+1;
 if(1 != $pages)
 {
 echo "<div class='pagination'>";
 if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link(1)."'>ilk sayfa</a>";
 if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'><i class='fa fa-chevron-left'></i></a>";
 for ($i=1; $i <= $pages; $i++)
 {
 if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
 {
 echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
 }
 }
 if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'><i class='fa fa-chevron-right'></i></a>";
 if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link($pages)."'>son sayfa</a>";
 echo "</div>\n";
 }
 ?>
</article>
        </section>
<aside>
            <!--widget categories-->
            <div class="widget robot">
            <div class="m-title">
                    <span>
                        <i class="fa fa-rocket"></i>
                        FİLM ARAMA ROBOTU
                    </span>
            </div>
            <div class="inner">
                <form action="<?php echo get_site_url(); ?>/arama-motoru" method="GET" id="aramamotoru">
                    <ul class="clear robot-list">
                        <li>
                            <select name="dil" data-custom-class="select-special" data-placeholder="FİLM DİLİNİ SEÇ">
                                <option value="hepsi" selected>Hepsi</option>
                                <option value="yerli">Yerli Film</option>
                                <option value="dublaj">Türkçe Dublaj</option>
                                <option value="altyazili">Türkçe Altyazı</option>
                                <option value="orijinal">Orijinal Dil</option>
                            </select>
                        </li>
                        <li>
                            <select name="tur" data-custom-class="select-special" data-placeholder="FİLM TÜRÜNÜ SEÇ">
                                <option value="hepsi" selected>Hepsi</option>
                                <?php
                                $taxonomies = array(
                                    'filmTuru'
                                );

                                $args = array(
                                    'orderby'           => 'name',
                                    'order'             => 'ASC',
                                );

                                $terms = get_terms($taxonomies, $args);
                                foreach ( $terms as $taxonomy ) {
                                    echo '<option value="'.$taxonomy->slug.'">'.$taxonomy->name.'</option>';
                                }
                                ?>
                            </select>
                        </li>
                        <li>
                            <select name="yil" data-custom-class="select-special" data-placeholder="YAPIM YILI YILINI SEÇ">
                                <option value="hepsi" selected>Hepsi</option>
                                <?php
                                $taxonomies = array(
                                    'filmYIL'
                                );

                                $args = array(
                                    'orderby'           => 'name',
                                    'order'             => 'ASC',
                                );

                                $terms = get_terms($taxonomies, $args);
                                foreach ( $terms as $taxonomy ) {
                                    echo '<option value="'.$taxonomy->slug.'">'.$taxonomy->name.'</option>';
                                }
                                ?>
                            </select>
                        </li>
                        <li>
                            <select name="imdb" data-custom-class="select-special" data-placeholder="IMDB PUANI SEÇ">
                                <option value="hepsi" selected>Hepsi</option>
                                <?php
                                for ($i=1; $i <= 10 ; $i++) {
                                    echo '<option value="'.$i.'">>'.$i.'</option>';
                                }
                                ?>
                            </select>
                        </li>
                        <li>
                            <select name="kalite" data-custom-class="select-special" data-placeholder="FİLM KALİTESİ SEÇ">
                                <option value="hepsi" selected>Hepsi</option>
                                <option value="360p">>360p</option>
                                <option value="480p">>480p</option>
                                <option value="720p">>720p</option>
                                <option value="1080p">>=1080p</option>
                            </select>
                        </li>
                        <li>
                            <a onclick="document.getElementById('aramamotoru').submit(); return false;" href="javascript:{}" class="run">
                                <span>
                                    <i class="fa fa-rocket"   onclick="this.form.submit()"></i>
                                    ROBOTU ÇALIŞTIR
                                </span>
                            </a>
                        </li>
                    </ul>
                </form>
            </div>
        </div>
<?php include(TEMPLATEPATH . '/yanmenu.php'); ?>
        </aside>
    </div>
</main>

<?php include(TEMPLATEPATH . '/footer.php'); ?>
