<?php include(TEMPLATEPATH . '/header.php'); ?>
<?php wp_reset_query(); ?>


<section class="headline">
    <div class="container">
        <span class="title">
           <i class="fa fa-th-list"></i> <strong>ARAMA</strong> SONUÇLARI
        </span>
        <div class="list">
            <ul>
                <li>
                    <form action="" method="GET">
                    <select name="dil" data-custom-class="select-special" data-placeholder="FİLM DİLİNİ SEÇİNİZ" onchange="this.form.submit()">
                        <option value="hepsi" <?php if(get_query_var( 'dil') == 'hepsi'){echo 'selected';} ?>>Hepsi</option>
                        <option value="yerli" <?php if(get_query_var( 'dil') == 'yerli'){echo 'selected';} ?>>Yerli Film</option>
                        <option value="dublaj" <?php if(get_query_var( 'dil') == 'dublaj'){echo 'selected';} ?>>Türkçe Dublaj</option>
                        <option value="altyazili" <?php if(get_query_var( 'dil') == 'altyazili'){echo 'selected';} ?>>Türkçe Altyazı</option>
                        <option value="orijinal" <?php if(get_query_var( 'dil') == 'orijinal'){echo 'selected';} ?>>Orijinal Dil</option>
                    </select>
                    <?php 
                    if (get_query_var( 'siralama')) {
                        echo '<input type="hidden" name="siralama" value="'.get_query_var( 'siralama').'" />';
                    } 
                    if (get_query_var('s')) {
                        echo '<input type="hidden" name="s" value="'.get_query_var( 's').'" />';
                    }
                    ?>
                    
                    </form>
                </li>
                <li>
                    <form action="" method="GET">
                    <?php 
                    if (get_query_var('dil')) {
                        echo '<input type="hidden" name="dil" value="'.get_query_var( 'dil').'" />';
                    } 
                    if (get_query_var('s')) {
                        echo '<input type="hidden" name="s" value="'.get_query_var( 's').'" />';
                    }
                    ?>
                    <select name="siralama" data-custom-class="select-special" data-placeholder="SIRALAMA ÖLÇÜTÜ SEÇİNİZ" onchange="this.form.submit()">
                        <option value="imdb" <?php if(get_query_var( 'siralama') == 'imdb'){echo 'selected';} ?>>IMDB</option>
                        <option value="encok" <?php if(get_query_var( 'siralama') == 'encok'){echo 'selected';} ?>>En Çok İzlenenler</option>
                    </select>
                    </form>
                </li>
                <li class="toggle_bar">
                    <a href="#" class="fa fa-th-large active"></a>
                    <a href="#" class="fa fa-bars"></a>
                </li>
            </ul>
        </div>
    </div>
</section>



<main role="main">

    <div class="container">

        <!--content-->

        <section class="content">

<article class="films ">
<?php 
$args1 = array(
);

if (get_query_var( 'siralama') || get_query_var( 'dil')) {

    $args8 = array();

    $argssiralama = array();

    $dil = get_query_var( 'dil');

    if ($dil == 'yerli') {

       $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'YERLİ FILM',)),);

    }elseif($dil == 'dublaj'){

        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'TR DUBLAJ',)),);

    }elseif($dil == 'altyazili'){

        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'TR ALTYAZI',)),);

    }elseif($dil == 'orijinal'){

        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'ORJ DİL',)),);

    }



    $args1 = array_merge( $args1, $args8 );

    $siralama = get_query_var( 'siralama');

    if ($siralama == 'encok') {

       $argsiralama = array( 'meta_key' => 'post_views_count', 'orderby' => 'meta_value_num' );

    }elseif($siralama == 'imdb'){

        $argssiralama = array('orderby' => 'filmIMDB', 'order' => 'DESC');

    }



    $args1 = array_merge( $args1, $argssiralama );

}

global $wp_query;
$argsSON = array_merge( $wp_query->query_vars, $args1);
query_posts( $argsSON );


if (have_posts()) : while (have_posts()) : the_post(); ?>
<div class="m-box">

                    <figure>

                        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">

                            <img src="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id(), 'resim1'); echo $resimyolu[0];} ?>"  title="<?php the_title(); ?>" width="260" height="370">

<span class="info">
<span><i class="fa fa-star"></i>IMDB: <?php $terms_as_text = strip_tags( get_the_term_list( $wp_query->post->ID, 'filmIMDB', '', ', ', '' ) ); echo $terms_as_text; ?> / 10 </span>
<?php if (get_post_meta($post->ID, "ozellikler_videoDil", true)){ ?><span><i class="fa fa-eye"></i><?php echo get_post_meta($post->ID, "ozellikler_videoDil", true); ?></span><?php } ?>
<?php if (get_post_meta($post->ID, "ozellikler_videoKalitesi", true)){ ?><span><i class="fa fa-adjust"></i><?php echo get_post_meta($post->ID, "ozellikler_videoKalitesi", true); ?></span> <?php } ?>
</span>

                            <figcaption>

                                <div class="title">

                                <span>

                                    <?php the_title(); ?>

                                </span>

                                </div>

<table class="table-special">
<tbody>
<tr>
<td>
<span class="fa fa-bars"></span>
</td>
<td>TÜR</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $wp_query->post->ID, 'filmTuru', '', ', ', '' ) ); echo $terms_as_text; ?></td>
</tr>
<tr>
<td>
<span class="fa fa-plug"></span>
</td>
<td>YAPIM YILI</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $wp_query->post->ID, 'filmYIL', '', ', ', '' ) ); if($terms_as_text != ''){echo $terms_as_text;}else{echo '-';} ?></td>
</tr>
<tr>
<td>
<span class="fa fa-clock-o"></span>
</td>
<td>SÜRE</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoSuresi', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoSuresi', true); ?> Dak.<?php } else { ?>-<?php } ?></td>
</tr>
<tr>
<td>
<span class="fa fa-star-o"></span>
</td>
<td>IMDB</td>
<td><?php $terms_as_text = strip_tags( get_the_term_list( $wp_query->post->ID, 'filmIMDB', '', ', ', ' / 10' ) ); if($terms_as_text != ''){echo $terms_as_text;}else{echo '-';} ?></td>
</tr>
<tr>
<td>
<span class="fa fa-desktop"></span>
</td>
<td>KALİTE</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoKalitesi', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoKalitesi', true); ?><?php } else { ?>-<?php } ?></td>
</tr>
<tr>
<td>
<span class="fa fa-th-large"></span>
</td>
<td>SEÇENEKLER</td>
<td><?php if(get_post_meta($post->ID, 'ozellikler_videoDil', true)) { ?><?php echo get_post_meta($post->ID, 'ozellikler_videoDil', true); ?><?php } else { ?>-<?php } ?></td>
</tr>
</tbody>
</table>

<div class="filmOzeti">

<?php 

if (strpos($post->post_content, '--more--')) {

 $morestring = '<!--more-->'; 

 $explodemore = explode($morestring, $post->post_content); 

 echo mb_substr(apply_filters('the_content',$explodemore[0]),0,200).' ...';

}else{

 echo '<p>';

 echo mb_substr(get_post_meta($post->ID, 'ozellikler_filmOzeti', true), 0, 200).' ...';

 echo '</p>';

}?>

</div>



                            </figcaption>

                            <span class="film-name">

                                <?php the_title(); ?>

                            </span>

                        </a>

                    </figure>

                </div>



 



<?php endwhile; ?>
<?php else : ?>
<?php include('404.php'); ?>
<?php endif; ?>	



<div style="clear:both;"></div>

<?php
$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$pages = $wp_query->max_num_pages;

$showitems = (2 * 2)+1;

 if(1 != $pages)

 {

 echo "<div class='pagination'>";

 if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link(1)."'>ilk sayfa</a>";

 if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'><i class='fa fa-chevron-left'></i></a>";

 for ($i=1; $i <= $pages; $i++)

 {

 if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))

 {

 echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";

 }

 }

 if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'><i class='fa fa-chevron-right'></i></a>";

 if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link($pages)."'>son sayfa</a>";

 echo "</div>\n";

 }

 ?>
<?php wp_reset_query(); ?>
</article>

        </section>

<aside>

<?php include(TEMPLATEPATH . '/yanrobot.php'); ?>

<?php include(TEMPLATEPATH . '/yanmenu.php'); ?>

        </aside>

    </div>

</main>



<?php include(TEMPLATEPATH . '/footer.php'); ?>