<!DOCTYPE html>
<html lang="tr">
<head>
<meta charset="utf-8">
<title><?php wp_title('&laquo;', true, 'right'); ?><?php bloginfo('name'); ?></title>
<?php if(get_option('logoUrl3')) { ?><link rel="shortcut icon" href="<?php echo get_option('logoUrl3'); ?>"/><?php } else { ?><link rel="shortcut icon" href="<?php echo $temayolu; ?>/images/favicon.ico" /><?php } ?>
<meta name="viewport" content="initial-scale=1" />
<link rel="stylesheet" type="text/css" href="<?php echo $temayolu; ?>/style.css"/>
<link rel="stylesheet" href="<?php echo $temayolu; ?>/font-awesome.min.css">

<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700,600,300&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
<script src="<?php echo $temayolu; ?>/js/jquery.js"></script>
<script src="<?php echo $temayolu; ?>/js/plugins/plugin.js"></script>
<script src="<?php echo $temayolu; ?>/js/main.js" type="text/javascript"></script>

<script type="text/javascript">
			function registerNew(deger){
			$("#registerSonuc" + deger).html('<center><img src="<?php echo $temayolu.'/images/loading.gif'; ?>" /></center>');
			$.ajax({
				type:'POST',
				url:'<?php echo get_template_directory_uri().'/include/register.php'; ?>',
				data:$('#register' + deger).serialize(),
				success:function(cevap){
						$("#registerSonuc" + deger).html(cevap)
						}
				})
				}
	</script>
<meta property="og:title" content="<?php the_title(); ?>" />
<meta property="og:url" content="<?php the_permalink(); ?>" />
<meta property="og:image" content="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id(), 'sliderResim'); echo $resimyolu[0];} ?>" />
<?php wp_head(); ?>
</head>
<body>

<div class="siteGenel">
<div id="sidebar">
<div style="background-image: linear-gradient(#FFC64D, #8E6000); line-height: 58px; text-align: center;">
<strong style="font-weight: 700; font-size: 16px;">FİLM TÜRLERİ</strong>
</div>
<?php
$defaults = array(
 'theme_location'  => 'mobil-menu',
 'menu'            => '',
 'container'       => 'div',
 'container_class' => '',
 'container_id'    => '',
 'menu_class'      => '',
 'menu_id'         => '',
 'echo'            => true,
 'fallback_cb'     => 'mobil-menu',
 'before'          => '',
 'after'           => '',
 'link_before'     => '',
 'link_after'      => '',
 'items_wrap'      => '<ul id="%1$s">%3$s</ul>',
 'depth'           => 0,
 'walker'          => ''
);
wp_nav_menu( $defaults );
?>

<div style="clear:both;"></div>

<?php

$menu_location = 'yan-menu2';
$menu_locations = get_nav_menu_locations();
$menu_object = (isset($menu_locations[$menu_location]) ? wp_get_nav_menu_object($menu_locations[$menu_location]) : null);
$menu_name = (isset($menu_object->name) ? $menu_object->name : '');


$defaults = array(
 'theme_location'  => 'yan-menu2',
 'menu'=> '',
 'container'   => 'div',
 'container_class' => '',
 'container_id'=> '',
 'menu_class'  => '',
 'menu_id' => '',
 'echo'=> false,
 'fallback_cb' => 'yan-menu2',
 'before'  => '',
 'after'   => '',
 'link_before' => '',
 'link_after'  => '',
 'items_wrap'  => '<ul id="%1$s" class="%2$s">%3$s</ul>',
 'depth'   => 0,
 'walker'  => ''
);
$menu = wp_nav_menu( $defaults );
if (strpos($menu, 'menu')) { ?>

<div style="background-image: linear-gradient(#FFC64D, #8E6000); line-height: 58px; text-align: center;">
<strong style="font-weight: 700; font-size: 16px;"><?php echo $menu_name; ?></strong>
</div>
<?php echo $menu; ?>

<?php } ?>

</div>

<div class="swipe-area"></div>
<a href="javascript:void(0);" data-toggle=".siteGenel" id="sidebar-toggle"> <span class="bar"></span> <span class="bar"></span> <span class="bar"></span> </a>

<div class="main-content">

<header>

<div class="tepeMenu">
<div class="logoAlani">

<?php if(get_option('logoUrl2')) { ?><a href="<?php echo $siteyolu; ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo get_option('logoUrl2'); ?>" alt="<?php bloginfo('name'); ?>" width="226" height="42"/></a><?php } else { ?><a href="<?php echo $siteyolu; ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo $temayolu; ?>/images/logo-footwe.png" alt="<?php bloginfo('name'); ?>" width="226" height="42"/></a>	<?php } ?>

</div>
</div>

<div style="width: 100%; height: auto; overflow: hidden; margin-bottom: 10px;">

<div class="mobildiv1">

			<?php if ( is_user_logged_in() ) {
			$current_user = wp_get_current_user();
			$adsoyad = $current_user->user_firstname.' '.$current_user->user_lastname;
			$profile = '/author/'.$current_user->user_login;
			$cikis = wp_logout_url($siteyolu);
			?>
				<div class="user-panel">
					<a class="login " href="<?=$profile;?>">
						<i class="fa fa-user"></i>
						Kullanıcı Paneli
					</a>
					<a class="exit" href="<?php echo $cikis; ?>">
						<i class="fa fa-times"></i>
						Çıkış
					</a>
				</div>
			<?php }else{ ?>
				<div class="user-panel">
					<a class="register open-popup-link" href="#m-register">
						<i class="fa fa-user"></i>
						HEMEN ÜYE OL
					</a>
					<a class="login open-popup-link" href="#m-login">
						<i class="fa fa-lock"></i>
						ÜYE GİRİŞİ YAP
					</a>
				</div>
			<?php } ?>

<div class="m-popup mfp-with-anim mfp-hide " id="m-register">
   <div class="inner">
       <form id="register1" name="registerNews" action="<?php echo get_template_directory_uri().'/include/register.php'; ?>" method="post">
           <ul class="form">
               <li class="m-table">
                   <div class="m-td">
                       <input name="name" type="text" value="" placeholder="Adınız">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">
                       <input name="surname" type="text" value="" placeholder="Soyadınız">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">
                       <input name="log" type="text" value="" placeholder="Kullanıcı Adınız">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">
                       <input name="email" type="email" value="" placeholder="E-Mail Adresiniz">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">
                       <input name="pwd" type="password" value="" placeholder="Şifreniz">
                   </div>
               </li>
               <li class="m-table">
                   <div class="m-td">
                       <input name="repwd" type="password" value="" placeholder="Şifreniz (Tekrar)">
                   </div>
               </li>
               <li class="button">
                    <button  OnClick="registerNew('1');" class="go" name="registerNews">ÜYE OL</button>
               </li>
           </ul>
       </form>
	   <div id="registerSonuc1"></div>
   </div>
</div>

<div class="m-popup mfp-with-anim mfp-hide " id="m-login">
    <div class="inner">
        <form action="<?php bloginfo('url') ?>/wp-login.php" method="post">
            <ul class="form">
                <li class="m-table">
                    <div class="m-td">
                        <input name="log" id="user_login" pattern="[a-zA-Z0-9]{4,}" type="text" placeholder="Kullanıcı Adınız">
                    </div>
                </li>
                <li class="m-table">
                    <div class="m-td">
                        <input name="pwd" id="user_pass" pattern=".{6,}" type="password" placeholder="Şifreniz">
                    </div>
                </li>
                <li class="button">
                    <button class="go" name="giris" type="submit">GİRİŞ YAP</button>
					<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>" />
					<input type="hidden" name="user-cookie" value="1" />
                </li>
            </ul>
        </form>
    </div>
</div>

</div>


<div class="mobildiv2">
<form method="get" id="searchform" class="aramayap cf" action="<?php echo esc_url( home_url( '/' ) ); ?>">
<input class="inputun" type="text" value="<?php echo get_search_query(); ?>" placeholder="film ara..." name="s" id="s" />
<button class="butonun" type="submit"><i style="color: #ffffff;" class="fa fa-search"></i></button>
</form>
</div>

</div>
</header>