<?php

/**
 * Template Name: Arama Motoru Sayfası
 */

?>
<?php
$stur = get_query_var( 'tur');
$syil = get_query_var( 'yil');
$simdb = get_query_var( 'imdb');
$skalite = get_query_var( 'kalite');
$sdil = get_query_var( 'dil');

$dil = array('yerli' => 'YERLİ FILM ', 'dublaj' => 'TR DUBLAJ', 'altyazili' => 'TÜRKÇE ALTYAZI ', 'orijinal' => 'ORJ DİL' );

if ($skalite == '360p') {
    $kalite = array('360p','480p','720p','1080p');
}
elseif($skalite == '480p') {
    $kalite = array('480p','720p','1080p');
}
elseif($skalite == '720p') {
    $kalite = array('720p','1080p');
}
elseif($skalite == '1080p') {
    $kalite = array('1080p');
}

$imdb = array();
for ($i= 0; $i < 10 - $simdb; $i++) {
	for ($j=0; $j < 10; $j++) {
		$imdb[] = ($simdb + $i) + 0.1 * $j;
	}
}
$imdb[] = 10;
$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$args = array('paged' => $paged,'posts_per_page' => '18');

if ($stur != 'hepsi' && $stur != '') {
    $arg1 = array (
        'tax_query' => array(
            array(
                'taxonomy' => 'filmTuru',
                'field' => 'slug',
                'terms' => $stur
                )
        )
    );
    $args = array_merge( $args, $arg1);
}

if ($syil != 'hepsi' && $syil != '') {

    $yillar = array();
    $suanyil = date("Y");
    if($syil == 'oncesi'){
        $oncesi = ($suanyil - 8);

        $taxonomies = array(
            'filmYIL'
        );

        $args = array(
            'orderby'           => 'name',
            'order'             => 'ASC',
        );

        $terms = get_terms($taxonomies, $args);
        foreach ( $terms as $taxonomy ) {
            if($taxonomy->name < $oncesi){
                $yillar[] = $taxonomy->name;
            }
        }
    }else{
        $yillar[] = $syil;
    }

    $arg2 = array (
        'tax_query' => array(
            array(
                'taxonomy' => 'filmYIL',
                'field' => 'slug',
                'terms' => $yillar
                )
        )
    );
    $args = array_merge( $args, $arg2);
}

if ($simdb != 'hepsi' && $simdb != '') {
    $puan = array();
    for ($j=0; $j < 10; $j++) {
        $puan[] = $simdb+ 0.1 * $j;
    }
    $arg3 = array (
        'tax_query' => array(
            array(
                'taxonomy' => 'filmIMDB',
                'field' => 'slug',
                'terms' => $puan
                )
        )
    );
    $args = array_merge( $args, $arg3);
}
if ($sdil != 'hepsi' && $sdil != '') {
    $arg4 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> $dil[$sdil],)),);
    $args = array_merge( $args, $arg4);
}
if ($skalite != 'hepsi' && $skalite != '') {
    $arg5 = array('meta_query' => array(array('key'=>'ozellikler_videoKalitesi','value'=> $skalite,)),);
    $args = array_merge( $args, $arg5);
}

if (get_query_var( 'siralama') || get_query_var( 'dil')) {
    $argson = array();
    $args8 = array();
    $argssiralama = array();
    $dil = get_query_var( 'dil');
    if ($dil == 'yerli') {
       $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'YERLİ FILM',)),);
    }elseif($dil == 'dublaj'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'TR DUBLAJ',)),);
    }elseif($dil == 'altyazili'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'TR ALTYAZI',)),);
    }elseif($dil == 'orijinal'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'ORJ DİL',)),);
    }

    $args = array_merge( $args, $args8 );
    $siralama = get_query_var( 'siralama');
    if ($siralama == 'encok') {
       $argsiralama = array( 'meta_key' => 'post_views_count', 'orderby' => 'meta_value_num' );
    }elseif($siralama == 'imdb'){
        $argssiralama = array('orderby' => 'filmIMDB', 'order' => 'DESC');
    }

    $args = array_merge( $args, $argssiralama );
}
$the_query = new WP_Query( $args ); ?>
<?php include(TEMPLATEPATH . '/header.php'); ?>
<?php if(get_option('mobilReklam2')){$reklam = '<div style="clear:both;"></div><div class="img-responsive" style="margin-bottom: 10px; text-align:center;">'.stripslashes(get_option('mobilReklam2')).'</div><div style="clear:both;"></div>';} ?>
<?php if(get_option('mobilReklam3')){$reklam2 = '<div style="clear:both;"></div><div class="img-responsive" style="margin-bottom: 10px; text-align:center;">'.stripslashes(get_option('mobilReklam3')).'</div><div style="clear:both;"></div>';} ?>
<div style="clear:both;"></div>

<style>
.sod_select .sod_list_wrapper {margin:0px;}
.sod_select {width: 100%;padding: 12px 2%;}
ul.robot-list li {width: 48%; float: left; margin: 0px 1%; height: auto; margin-bottom: 5px; list-style: none;}
.sod_list_wrapper {overflow-y: scroll; display: block;  height: 158px!important;}
@media only screen and (max-width : 468px) {
ul.robot-list li {width: 98%; float: none;}
}
</style>

<div style="clear:both;"></div>
<?php 
if(get_option('mobilReklam1'))
{echo '<div class="img-responsive" style="margin-bottom:5px;text-align:center;">'.stripslashes(get_option('mobilReklam1')).'</div><div style="clear:both;"></div>';}
else
{}
 ?>


<div class="list"><strong style="width: 96%;"><i style="margin-right: 5px;" class="fa fa-th-list"></i> <?php the_title(); ?></strong></div>

<div style="clear:both;"></div>
<form style="width: 100%; height: auto; padding: 0px 0px; margin-top: 15px;" action="<?php echo get_site_url(); ?>/arama-motoru" method="GET" id="aramamotoru">
                    <ul class="clear robot-list">
                <li>
                    <select name="dil" data-custom-class="select-special" data-placeholder="FİLM DİLİNİ SEÇ">
                        <option value="hepsi" selected>Hepsi</option>
                        <option value="yerli">Yerli Film</option>
                        <option value="dublaj">Türkçe Dublaj</option>
                        <option value="altyazili">Türkçe Altyazı</option>
                        <option value="orijinal">Orijinal Dil</option>
                    </select>
                </li>
                <li>
                    <select name="tur" data-custom-class="select-special" data-placeholder="FİLM TÜRÜNÜ SEÇ">
                        <option value="hepsi" selected>Hepsi</option>
                        <?php 
                        $taxonomies = array( 
                            'filmTuru'
                        );

                        $args = array(
                            'orderby'           => 'name', 
                            'order'             => 'ASC',
                        ); 

                        $terms = get_terms($taxonomies, $args);
                        foreach ( $terms as $taxonomy ) {
                            echo '<option value="'.$taxonomy->slug.'">'.$taxonomy->name.'</option>';
                        }
                        ?>                    
                    </select>
                </li>
                <li>
                    <select name="yil" data-custom-class="select-special" data-placeholder="YAPIM YILI YILINI SEÇ">
                        <option value="hepsi" selected>Hepsi</option>
                        <?php 
                            $suanyil = date("Y");
                            echo '<option value="oncesi">'. ($suanyil - 8 ).' Öncesi</option>';
                            for ($i=$suanyil-8; $i <= $suanyil; $i++) { 
                                echo '<option value="'.$i.'">'.$i.'</option>';
                            }
                        ?>
                        <?php 
                        $taxonomies = array( 
                            'filmYIL'
                        );

                        $args = array(
                            'orderby'           => 'name', 
                            'order'             => 'ASC',
                        ); 

                        $terms = get_terms($taxonomies, $args);
                        foreach ( $terms as $taxonomy ) {
                            echo '<option value="'.$taxonomy->slug.'">'.$taxonomy->name.'</option>';
                        }
                        ?>   
                    </select>
                </li>
                <li>
                    <select name="imdb" data-custom-class="select-special" data-placeholder="IMDB PUANI SEÇ">
                        <option value="hepsi" selected>Hepsi</option>
                        <?php 
                        for ($i=5; $i <= 10 ; $i++) { 
                            echo '<option value="'.$i.'">'.$i.'</option>';
                        }
                        ?>   
                    </select>
                </li>
                <li>
                    <select name="kalite" data-custom-class="select-special" data-placeholder="FİLM KALİTESİ SEÇ">
                        <option value="hepsi" selected>Hepsi</option>
                        <option value="360p">360p</option>
                        <option value="480p">480p</option>
                        <option value="720p">720p</option>
                        <option value="1080p">1080p</option>
                    </select>
                </li>
                        <li>
                            <a onclick="document.getElementById('aramamotoru').submit(); return false;" href="javascript:{}" class="run">
                                <span>
                                    <i class="fa fa-rocket"   onclick="this.form.submit()"></i>
                                    ROBOTU ÇALIŞTIR
                                </span>
                            </a>
                        </li>
                    </ul>
                </form>


<div style="clear:both;margin-top: 10px;"></div>

<?php $s = 0; if ($the_query->have_posts()) : while ($the_query->have_posts()) : $the_query->the_post(); $s++; ?>
<?php if ($s == 7) {echo $reklam;}?>
<?php if ($s == 13) {echo $reklam2;}?>

<div class="m-box3">
<figure>
<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
<img src="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id(), 'resim1'); echo $resimyolu[0];} ?>"  alt="<?php the_title(); ?>" width="260" height="370"/>
<span class="info">
<span><i class="fa fa-star"></i>IMDB: <?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmIMDB', '', ', ', '' ) ); echo $terms_as_text; ?> / 10 </span>
<?php if (get_post_meta($post->ID, "ozellikler_videoDil", true)){ ?><span><i class="fa fa-eye"></i><?php echo get_post_meta($post->ID, "ozellikler_videoDil", true); ?></span><?php } ?>
<?php if (get_post_meta($post->ID, "ozellikler_videoKalitesi", true)){ ?><span><i class="fa fa-adjust"></i><?php echo get_post_meta($post->ID, "ozellikler_videoKalitesi", true); ?></span> <?php } ?>
</span>
<span class="film-name"><?php the_title(); ?></span>
</a>
</figure>
</div> 

<?php endwhile; ?>
<?php else : ?>
<?php include(TEMPLATEPATH. '/404.php'); ?>
<?php endif; ?> 

<div style="clear:both;"></div>
<?php 
$pages = $the_query->max_num_pages;
$showitems = (2 * 2)+1;  
 if(1 != $pages)
 {
 echo "<div class='pagination'>";
 if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link(1)."'>ilk sayfa</a>";
 if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'><i class='fa fa-chevron-left'></i></a>";
 for ($i=1; $i <= $pages; $i++)
 {
 if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
 {
 echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
 }
 }
 if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'><i class='fa fa-chevron-right'></i></a>";  
 if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link($pages)."'>son sayfa</a>";
 echo "</div>\n";
 }
 ?>


<div style="clear:both;"></div>
<?php 
if(get_option('mobilReklam2'))
{echo '<div class="img-responsive" style="margin-bottom:5px;text-align:center;">'.stripslashes(get_option('mobilReklam2')).'</div><div style="clear:both;"></div>';}
else
{}
 ?>

<?php include(TEMPLATEPATH . '/footer.php'); ?>