<?php 

/**
 * Template Name: En Son Eklenenler Filmler 
 */

?>
<?php 

$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$args = array(
    'orderby' => 'date', 
    'order' => 'DESC',
    'paged' => $paged,
    'posts_per_page' => '18'
);

if (get_query_var( 'siralama') || get_query_var( 'dil')) {
    $args8 = array();
    $argssiralama = array();
    $dil = get_query_var( 'dil');
    if ($dil == 'yerli') {
       $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'YERLİ FILM',)),);
    }elseif($dil == 'dublaj'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'TR DUBLAJ',)),);
    }elseif($dil == 'altyazili'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'TR ALTYAZI',)),);
    }elseif($dil == 'orijinal'){
        $args8 = array('meta_query' => array(array('key'=>'ozellikler_videoDil','value'=> 'ORJ DİL',)),);
    }

    $args = array_merge( $args, $args8 );
    $siralama = get_query_var( 'siralama');
    if ($siralama == 'encok') {
       $argsiralama = array( 'meta_key' => 'post_views_count', 'orderby' => 'meta_value_num' );
    }elseif($siralama == 'imdb'){
        $argssiralama = array('orderby' => 'filmIMDB', 'order' => 'DESC');
    }

    $args = array_merge( $args, $argssiralama );
}
$the_query = new WP_Query( $args ); ?>
<?php include(TEMPLATEPATH . '/header.php'); ?>
<?php if(get_option('mobilReklam2')){$reklam = '<div style="clear:both;"></div><div class="img-responsive" style="margin-bottom: 10px; text-align:center;">'.stripslashes(get_option('mobilReklam2')).'</div><div style="clear:both;"></div>';} ?>
<?php if(get_option('mobilReklam3')){$reklam2 = '<div style="clear:both;"></div><div class="img-responsive" style="margin-bottom: 10px; text-align:center;">'.stripslashes(get_option('mobilReklam3')).'</div><div style="clear:both;"></div>';} ?>
<style>
.list ul li {width: 99%;}
.sod_select {padding: 12px 0%;}
</style>
<div style="clear:both;"></div>
<?php 
if(get_option('mobilReklam1'))
{echo '<div class="img-responsive" style="margin-bottom:5px;text-align:center;">'.stripslashes(get_option('mobilReklam1')).'</div><div style="clear:both;"></div>';}
else
{}
 ?>


        <div class="list">
		<strong><i style="margin-right: 5px;" class="fa fa-th-list"></i> <?php the_title(); ?></strong>
            <ul>
                <li>
                    <form action="" method="GET">
                    <select name="dil" data-custom-class="select-special" data-placeholder="FİLM DİLİNİ SEÇİNİZ" onchange="this.form.submit()">
                        <option value="hepsi" <?php if(get_query_var( 'dil') == 'hepsi'){echo 'selected';} ?>>Hepsi</option>
                        <option value="yerli" <?php if(get_query_var( 'dil') == 'yerli'){echo 'selected';} ?>>Yerli Film</option>
                        <option value="dublaj" <?php if(get_query_var( 'dil') == 'dublaj'){echo 'selected';} ?>>Türkçe Dublaj</option>
                        <option value="altyazili" <?php if(get_query_var( 'dil') == 'altyazili'){echo 'selected';} ?>>Türkçe Altyazı</option>
                        <option value="orijinal" <?php if(get_query_var( 'dil') == 'orijinal'){echo 'selected';} ?>>Orijinal Dil</option>
                    </select>
                    <?php 
                    if (get_query_var( 'siralama')) {
                        echo '<input type="hidden" name="siralama" value="'.get_query_var( 'siralama').'" />';
                    }
                    ?>
                    
                    </form>
                </li>
            </ul>
        </div>

<?php $s = 0; if ($the_query->have_posts()) : while ($the_query->have_posts()) : $the_query->the_post(); $s++; ?>
<?php if ($s == 7) {echo $reklam;}?>
<?php if ($s == 13) {echo $reklam2;}?>

<div class="m-box3">
<figure>
<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
<img src="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id(), 'resim1'); echo $resimyolu[0];} ?>"  alt="<?php the_title(); ?>" width="260" height="370"/>
<span class="info">
<span><i class="fa fa-star"></i>IMDB: <?php $terms_as_text = strip_tags( get_the_term_list( $post->ID, 'filmIMDB', '', ', ', '' ) ); echo $terms_as_text; ?> / 10 </span>
<?php if (get_post_meta($post->ID, "ozellikler_videoDil", true)){ ?><span><i class="fa fa-eye"></i><?php echo get_post_meta($post->ID, "ozellikler_videoDil", true); ?></span><?php } ?>
<?php if (get_post_meta($post->ID, "ozellikler_videoKalitesi", true)){ ?><span><i class="fa fa-adjust"></i><?php echo get_post_meta($post->ID, "ozellikler_videoKalitesi", true); ?></span> <?php } ?>
</span>
<span class="film-name"><?php the_title(); ?></span>
</a>
</figure>
</div> 

<?php endwhile; ?>
<?php else : ?>
<?php include(TEMPLATEPATH. '/404.php'); ?>
<?php endif; ?> 

<div style="clear:both;"></div>
<?php 
$pages = $the_query->max_num_pages;
$showitems = (2 * 2)+1;  
 if(1 != $pages)
 {
 echo "<div class='pagination'>";
 if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link(1)."'>ilk sayfa</a>";
 if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'><i class='fa fa-chevron-left'></i></a>";
 for ($i=1; $i <= $pages; $i++)
 {
 if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
 {
 echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
 }
 }
 if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'><i class='fa fa-chevron-right'></i></a>";  
 if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a style='padding: 0px 10px;' href='".get_pagenum_link($pages)."'>son sayfa</a>";
 echo "</div>\n";
 }
 ?>

<div style="clear:both;"></div>
<?php 
if(get_option('mobilReklam2'))
{echo '<div class="img-responsive" style="margin-bottom:5px;text-align:center;">'.stripslashes(get_option('mobilReklam2')).'</div><div style="clear:both;"></div>';}
else
{}
 ?>

<?php include(TEMPLATEPATH . '/footer.php'); ?>